import DeviceRequest from '../../infraestructure/api/models/DeviceRequest';
import DeviceInfoResponse from '../../infraestructure/api/models/DeviceInfoResponse';
import WhoAmIResponse from './WhoAmIResponse';

interface DevicesRepository {
  whoAmI(request: DeviceRequest): Promise<WhoAmIResponse>;
  getDeviceInfo(request: DeviceRequest): Promise<DeviceInfoResponse>;
}

export default DevicesRepository;
