import toWhoAmIResponse from '../toWhoAmIResponse';

describe('whoamiMapper', () => {
  it('should be defined', () => {
    expect(toWhoAmIResponse).toBeDefined();
  });

  it('should map to WhoamIResponse', () => {
    expect(
      toWhoAmIResponse({
        WhoamiResponse: {
          NroParadero: '37477',
          NombreParadero: "O'Higgins - entre Angol y Salas",
        },
      }),
    ).toMatchObject({
      stopNumber: '37477',
      stopName: "O'Higgins - entre Angol y Salas",
    });
  });
});
