import WhoAmIResponse from '../../../domain/repositories/WhoAmIResponse';
import WhoamiResponse from '../../api/models/WhoamiResponse';

const toWhoAmIResponse = (response: WhoamiResponse): WhoAmIResponse => {
  const {NroParadero, NombreParadero} = response.WhoamiResponse;

  return {
    stopNumber: NroParadero,
    stopName: NombreParadero,
  };
};

export default toWhoAmIResponse;
