import {render} from '@testing-library/react-native';
import Banner from '../Banner';

describe('Banner tests', () => {
  it('should be defined', () => {
    expect(Banner).toBeDefined();
  });

  it('should render correctly', () => {
    const {toJSON} = render(<Banner text="text" />);

    expect(toJSON()).toMatchSnapshot();
  });

  it('should get text correctly', () => {
    const {getByText} = render(<Banner text="text" />);

    expect(getByText('text')).toBeDefined();
  });
});
