import {render} from '@testing-library/react-native';
import Table, {Line} from '../Table';
import lineListMock from '../__mocks__/LineList';

describe('Table tests', () => {
  it('should be defined', () => {
    expect(Table).toBeDefined();
  });

  it('should render correctly', () => {
    const {toJSON} = render(<Table data={lineListMock as Line[]} />);

    expect(toJSON()).toMatchSnapshot();
  });

  it('should render correctly with empty data', () => {
    const {toJSON} = render(<Table data={[]} />);

    expect(toJSON()).toMatchSnapshot();
  });
});
