/**
 * @param {date} string in format 'HH:mm:ss'
 */
const getHours = (date: string): number => {
  return Number.parseInt(date.split(':')[0], 10);
};

/**
 * @param {date} string in format 'HH:mm:ss'
 */
const getMinutes = (date: string): number => {
  return Number.parseInt(date.split(':')[1], 10);
};

/**
 * @param {date} string in format 'HH:mm:ss'
 */
const getSeconds = (date: string): number => {
  return Number.parseInt(date.split(':')[2], 10);
};

export {getHours, getMinutes, getSeconds};
